.res{
  width: 100vw;
}

.gallery{
  margin: 0 auto;
  width: 100vw;
  box-sizing: border-box;
}

.gallery img{
  width: 24%;
  transition: 1s;
  padding:5px;
  box-sizing:inherit;
  /*float:left;*/
}

.gallery img:hover{
  transform: scale(1.1);
}

    @media screen and (max-width: 768px){
        .gallery img{
            width:49%;
        }
    }
    
        @media screen and (max-width: 500px){
        .gallery img{
            width:99%;
        }
    }